if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/geoclue/geoclue.conf.new
config etc/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf.new
config etc/dbus-1/system.d/org.freedesktop.GeoClue2.conf.new
config etc/xdg/autostart/geoclue-demo-agent.desktop.new
( cd usr/lib64 ; rm -rf libgeoclue-2.so )
( cd usr/lib64 ; ln -sf libgeoclue-2.so.0 libgeoclue-2.so )
( cd usr/lib64 ; rm -rf libgeoclue-2.so.0 )
( cd usr/lib64 ; ln -sf libgeoclue-2.so.0.0.0 libgeoclue-2.so.0 )
